summaryrefslogtreecommitdiff
path: root/tests/chroot/pwck/01_pwck--root/pwck.test
diff options
context:
space:
mode:
Diffstat (limited to 'tests/chroot/pwck/01_pwck--root/pwck.test')
-rwxr-xr-xtests/chroot/pwck/01_pwck--root/pwck.test67
1 files changed, 0 insertions, 67 deletions
diff --git a/tests/chroot/pwck/01_pwck--root/pwck.test b/tests/chroot/pwck/01_pwck--root/pwck.test
deleted file mode 100755
index 25cba9f0..00000000
--- a/tests/chroot/pwck/01_pwck--root/pwck.test
+++ /dev/null
@@ -1,67 +0,0 @@
-#!/bin/sh
-
-set -e
-
-cd $(dirname $0)
-
-. ../../../common/config.sh
-. ../../../common/log.sh
-
-log_start "$0" "pwck can change a chroot"
-
-save_config
-
-# restore the files on exit
-trap 'log_status "$0" "FAILURE"; clean_chroot; restore_config' 0
-
-change_config
-
-prepare_chroot
-
-echo -n "pwck in a chroot (pwck --read-only --root $PWD/tmp/root)..."
-pwck --read-only --root $PWD/tmp/root >tmp/pwck.out && exit 1 || {
- status=$?
-}
-echo "OK"
-
-echo -n "Check returned status ($status)..."
-test "$status" = "2"
-echo "OK"
-
-echo "pwck reported:"
-echo "======================================================================="
-cat tmp/pwck.out
-echo "======================================================================="
-echo -n "Check that there were a failure message..."
-diff -au data/pwck.out tmp/pwck.out
-echo "error message OK."
-rm -f tmp/pwck.out
-
-echo -n "Check the passwd file..."
-../../../common/compare_file.pl config/etc/passwd /etc/passwd
-../../../common/compare_file.pl config_chroot/etc/passwd tmp/root/etc/passwd
-echo "OK"
-echo -n "Check the group file..."
-../../../common/compare_file.pl config/etc/group /etc/group
-../../../common/compare_file.pl config_chroot/etc/group tmp/root/etc/group
-echo "OK"
-echo -n "Check the shadow file..."
-../../../common/compare_file.pl config/etc/shadow /etc/shadow
-../../../common/compare_file.pl config_chroot/etc/shadow tmp/root/etc/shadow
-echo "OK"
-echo -n "Check the gshadow file..."
-../../../common/compare_file.pl config/etc/gshadow /etc/gshadow
-../../../common/compare_file.pl config_chroot/etc/gshadow tmp/root/etc/gshadow
-echo "OK"
-
-rm -f tmp/root/etc/.pwd.lock
-rm -f tmp/root/etc/passwd-
-rm -f tmp/root/etc/group-
-rm -f tmp/root/etc/shadow-
-rm -f tmp/root/etc/gshadow-
-clean_chroot
-
-log_status "$0" "SUCCESS"
-restore_config
-trap '' 0
-